# Debian package instructions (Linux)

First of all make sure that we support your version of Ubuntu:
* Ubuntu 14.04 LTS
* Ubuntu 16.04 LTS

---

## Automatic generation:

To execute all the commands and scripts to generate the debian packages, simply execute the `` build-all.sh`` script:

```shell
 $ ./build-all.sh
```

Which automatically:
* Install third-party libraries;
* Generate and install third-party library packages;
* Generate and install the TerraLib package;
* Copy all necessary files to an output folder (``3rdparty``) next to your codebase;
* Compact all in the final file ``terralib-<terralib_version>-ubuntu-<ubuntu_version>.tar.gz``.

If necessary you can manually execute the scripts. Be sure to check if the variables set by default are correct in all scripts according to your environment.

_Obs .: Don't forget to add the source of each library to the same directory as the scripts._

---

## Third-party Libraries Packages:

To generate the debian packages from libraries that are not on the system or that must be configured specifically for TerraLib, simply execute the ``deb-<library_name>.sh`` script from each library, where the source of the library must be in the same directory as the script, example:

```shell
 $ ./deb-boost.sh
```

The script automatically:
* Extract the library package (if the source is in the same directory as the script);
* Create the ``debian`` folder with the package settings;
* Generate the library package;
* Move the package to an output directory (``3rdparty``) next to your codebase;
* Move or remove any unnecessary files that were left in your codebase.

To add a new library, you can create a new shell script based on existing ones and modify the fields according to the new library.
Check the creation of the ``rules`` file that contains the commands to configure, compile and install the library. Then update the ``build-all.sh`` and ``install-generator.sh`` scripts.

---

## TerraLib Package:

First verify if all dependencies have been installed correctly. Then simply execute the ``deb-terralib.sh`` script:

```shell
 $ ./deb-terralib.sh
```

Which automatically:
* Create a ``build-package`` folder;
* Configure CMake;
* Build and Package TerraLib.

---

## Final Package:

The ``install-generator.sh`` script creates the following files:
* Install script;
* Uninstall script;
* Info file about the package.

```shell
 $ ./install-generator.sh
```

_Obs.: Before execute the script check the default variables with the versions of the libraries._

To generate the final package, simply compress the following files into a ``tar.gz``:
* Debian packages of dependencies and TerraLib in ``packages`` folder;
* Script ``install.sh`` and ``uninstall.sh``;
* ``README`` file.
