# Drag & Drop Package Instructions (Mac)

## Third-party Libraries:

Download TerraLib's third-party library sources through the link:
* [MacOS Sierra - TerraLib Thirdparty Source](http://www.dpi.inpe.br/terralib5-devel/3rdparty/src/terralib-3rdparty-macos-sierra.tar.gz)
* [MacOSX El Capitan - TerraLib Thirdparty Source](http://www.dpi.inpe.br/terralib5-devel/3rdparty/src/terralib-3rdparty-macosx-el-capitan.tar.gz)

Then install the third-party libraries with the ``install-3rdparty-<macos_version>.sh`` script, for example:

```shell
 $ TERRALIB_DEPENDENCIES_DIR=/path/to/mylibs  path/to/codebase/install/install-3rdparty-macos-sierra.sh
```

_Obs.: The variable ``TERRALIB_DEPENDENCIES_DIR`` in this case must be set with the path where the installation of the third-party should be performed._

---

## TerraLib Package:

To generate the TerraLib package first open the ``dmg-terralib.sh`` script and check if the variables set at the beginning are according to your environment.
Then just execute the script:

```shell
 $ ./dmg-terralib.sh
```

Which automatically:
* Create a build folder;
* Configure CMake properly;
* Perform the TerraLib build and package generation by CPack;
* Configure CMake in a new folder to perform the installation;
* Perform the TerraLib build and installation in the path of third-party libraries (this installation can be used to generate other Mac packages that use TerraLib).
